﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('fontawesome/css/all.min.css');
@import url('page_info_styles.css');
@import url('style.css');
@import url('loader.css');


html, body {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

app {
  position: relative;
  display: flex;
  flex-direction: column;
}

.top-row {
  height: 3.5rem;
  display: flex;
  align-items: center;
}

.main {
  flex: 1;
}

  .main .top-row {
    background-color: #e6e6e6;
    border-bottom: 1px solid #d6d5d5;
  }

.sidebar {
  background-image: linear-gradient(180deg, rgb(75, 86, 119) 0%, rgb(58, 6, 71) 70%);
}

  .sidebar .top-row {
    background-color: rgba(0,0,0,0.4);
  }

  .sidebar .navbar-brand {
    font-size: 1.1rem;
  }

  .sidebar .oi {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
  }

.nav-item {
  font-size: 0.9rem;
  padding-bottom: 0.5rem;
}

  .nav-item:first-of-type {
    padding-top: 1rem;
  }

  .nav-item:last-of-type {
    padding-bottom: 1rem;
  }

  .nav-item a {
    color: #d7d7d7;
    border-radius: 4px;
    height: 3rem;
    display: flex;
    align-items: center;
    line-height: 3rem;
  }

    .nav-item a.active {
      background-color: rgba(255,255,255,0.25);
      color: white;
    }

    .nav-item a:hover {
      background-color: rgba(255,255,255,0.1);
      color: white;
    }

.content {
  padding-top: 0.0rem;
}

.navbar-toggler {
  background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
  outline: 1px solid #26b050;
}

.invalid {
  outline: 1px solid red;
}

.validation-message {
  color: red;
}

@media (max-width: 767.98px) {
  .main .top-row {
    display: none;
  }
}

@media (min-width: 768px) {
  /*app {
    flex-direction: row;
  }*/

  .sidebar {
    width: 200px;
    /*height: calc(100vh - 4rem);*/
    position: sticky;
    top: 0;
  }

  .main .top-row {
    position: sticky;
    top: 0;
  }

  .main > div {
    padding-left: 0.0rem !important;
    padding-right: 0.0rem !important;
  }

  .navbar-toggler {
    display: none;
  }

  .sidebar .collapse {
    /* Never collapse the sidebar for wide screens */
    display: block;
  }
}

/* My css */
.validation-error li {
  color: red;
}

.no-underline:hover {
  text-decoration: none;
}

.hand-hover:hover {
  cursor: pointer;
}

.icon-correct {
  width: 24px;
  height: 24px;
  margin-left: 0px;
  margin-right: 0px;
}

/* Colors */

.purple {
  color: #9c27b0;
}

/* End Colors*/
/* User */

.user-info {
  margin-left: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.user-info img {
  margin-right: 0.7rem;
  width: 2.6rem;
}

.user-info .username {
  display: block;
  font-weight: 700;
  line-height: 0.7rem;
  margin-top: 0.5rem;
}

.user-info a {
  color: #fff2cc;
  font-size: 0.8rem;
}

.user-info .sign-out {
  color: #fff2cc;
  font-size: 0.8rem;
  cursor: pointer;
}

.user-info .sign-out:hover {
  text-decoration: underline;
}

button.sign-in {
  background: none;
  border: 1.5px solid white;
  border-radius: 0.7em;
  color: white;
  text-transform: uppercase;
  padding: 0.2rem 0.8rem 0.1rem 0.8rem;
  font-family: 'Bahnschrift', Arial, Helvetica, sans-serif;
  font-weight: 100;
  cursor: pointer;
  transition: 0.2s ease-out;
  margin-right: 1rem;
}

button.sign-in:hover {
  background-color: rgba(255,255,255,0.3);
  color: #fff2cc;
  border-color: #fff2cc;
}
/* End User */

/* Login */
.login-container {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  padding-top: 30px;
  padding-bottom: 40px;
  /* background-color: #f5f5f5; */
  /* height:100%; */
  width: 100%;
  align-content: center;
}

.login-title {
  align-self: center;
  padding-bottom: 20px;
}

.login-subtitle {
  align-self: center;
  padding-bottom: 114px;
}

.login-body {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}

.form-signin {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: auto;
}

.form-signin .checkbox {
  font-weight: 400;
}

.form-signin .form-control {
  position: relative;
  box-sizing: border-box;
  height: auto;
  padding: 10px;
  font-size: 16px;
}

.form-signin .form-control:focus {
  z-index: 2;
}

.form-signin input {
  margin-bottom: 5px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
/* End Login */

/* Test */

.row-nm-np {
  margin-left: 0 !important;
  margin-right: 0 !important;
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.no-margin {
  margin-left: 0!important;
  margin-right: 0!important;
}

.no-padding {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.up-margin {
  margin-top: 0.5em;
}
/* End Test */